For the complete documentation index, see llms.txt. This page is also available as Markdown.

Branches

Create branch

post

Creates a new branch.

Autorisierungen
AuthorizationstringErforderlich

Bearer access_token

Pfadparameter
topologyIdnumberErforderlichExample: 1
Body
namestringErforderlich

Branch name. It must be unique within the tenant.

Example: feature
parentIdnumberErforderlich

Identifier of the existing branch to branch from.

Example: 12
Antworten
201Erfolg
application/json
idnumberErforderlich

Unique identifier of the branch.

Example: 42
namestringErforderlich

Branch name.

Example: feature/PROJ-142-user-sync
headCommitIdnumberErforderlich

Identifier of the current head commit for the branch.

Example: 1088
createdAtstring · date-timeErforderlichExample: 2026-07-13T10:15:00.000Z
updatedAtstring · date-timeErforderlichExample: 2026-07-13T10:15:00.000Z
isDeletablebooleanErforderlich

Whether the branch can currently be deleted.

post/topologies/{topologyId}/fit/branches
POST /topologies/{topologyId}/fit/branches HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 114

{
  "name": "feature",
  "parentId": 12,
  "issuesTracker": {
    "trackerId": 3,
    "projectId": 18,
    "issueIds": [
      "PROJ-142",
      "PROJ-155"
    ]
  }
}
{
  "id": 42,
  "name": "feature/PROJ-142-user-sync",
  "createdBy": {
    "id": 1,
    "name": "dev dev"
  },
  "headCommitId": 1088,
  "createdAt": "2026-07-13T10:15:00.000Z",
  "updatedAt": "2026-07-13T10:15:00.000Z",
  "isDeletable": true,
  "updatedBy": {
    "id": 1,
    "name": "dev dev"
  },
  "issuesTracker": {
    "trackerId": 3,
    "projectId": 18,
    "issueIds": [
      "text"
    ]
  }
}

Zuletzt aktualisiert

War das hilfreich?